<section class="nevis-password-reset-req"
         [ngClass]="{'grid-indent-google-captcha': !isCaptchaValid,
                     'grid-indent': isCaptchaValid}">

  <h2 class="nevis-password-reset-req__title">{{app.i18n('title_reset_req', i18n)}}</h2>

  <common-google-captcha [ngClass]="{'visually-hidden': isCaptchaValid}"
                         [captchaTxt]="app.i18n('captcha_title', i18n)"
                         [errorMessage]="errorMessage"
                         [showOverlay]="isLocked"
                         (googleResponse)="commonService.googleCaptchaValidateExchanger.runGoogleCaptchaCheck(this, $event)"></common-google-captcha>

  <section class="nevis-password-reset-req__form  dwfe-form" spellcheck="false" *ngIf="isCaptchaValid && !isExchangeCompleted">

    <dwfe-form-control-input-email class="dwfe-form__item"
                                   [labelText]="app.i18n('email_associated_with_account', i18n)"
                                   [externalBackendValidator]="nevisService.backendValidatorEmail.bind(nevisService)"
                                   [reverseHandleRespFromBackend]="true"
                                   (takeControl)="cEmail=$event"
                                   #refEmail></dwfe-form-control-input-email>

    <dwfe-action-ok [errorMessage]="errorMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [isDisabled]="isDisabledBtnPerformPasswordResetReq()"
                    (takeClick)="performPasswordResetReq()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <div *ngIf="isCaptchaValid && isExchangeCompleted">
    <p class="dwfe-txt-successful  nevis-password-reset-req__info-item">{{app.i18n('successfully_completed', i18n)}}</p>
    <p class="dwfe-txt-warning  nevis-password-reset-req__info-item">{{app.i18n('check_email_box', i18n)}}</p>
  </div>

</section>
